from django.urls import resolve
from django.test import TestCase

from .views import *


class HomeViewTest(TestCase):
	def test_can_open_home_view_temp(self):
		response = self.client.get('/')
		self.assertTemplateUsed(response, 'home.html')

class IngredientsListViewTest(TestCase):
	def test_can_open_ingredients_list_view_temp(self):
		response = self.client.get('/ingredients')
		self.assertTemplateUsed(response, 'ingredients_list.html')

class IngredientsDetailViewTest(TestCase):
	def test_can_open_ingredients_detail_view_temp(self):
		response = self.client.get('/ingredients/detail')
		self.assertTemplateUsed(response, 'ingredients_detail.html')

class IngredientsCreateViewTest(TestCase):
	def test_can_open_ingredients_create_view_temp(self):
		response = self.client.get('/ingredients/new')
		self.assertTemplateUsed(response, 'ingredients_create_form.html')

class IngredientsUpdateViewTest(TestCase):
	def test_can_open_ingredients_update_view_temp(self):
		response = self.client.get('/ingredients/update')
		self.assertTemplateUsed(response, 'ingredients_update_form.html')


class OrdersListViewTest(TestCase):
	def test_can_open_orders_list_view_temp(self):
		response = self.client.get('/orders')
		self.assertTemplateUsed(response, 'orders_list.html')

class OrdersDetailViewTest(TestCase):
	def test_can_open_orders_detail_view_temp(self):
		response = self.client.get('/orders/detail')
		self.assertTemplateUsed(response, 'orders_detail.html')

class OrdersCreateViewTest(TestCase):
	def test_can_open_orders_create_view_temp(self):
		response = self.client.get('/orders/new')
		self.assertTemplateUsed(response, 'orders_create_form.html')

class OrdersUpdateViewTest(TestCase):
	def test_can_open_orders_update_view_temp(self):
		response = self.client.get('/orders/update')
		self.assertTemplateUsed(response, 'orders_update_form.html')


class RecipesListViewTest(TestCase):
	def test_can_open_recipes_list_view_temp(self):
		response = self.client.get('/recipes')
		self.assertTemplateUsed(response, 'recipes_list.html')

class RecipesDetailViewTest(TestCase):
	def test_can_open_recipes_detail_view_temp(self):
		response = self.client.get('/recipes/detail')
		self.assertTemplateUsed(response, 'recipes_detail.html')

class RecipesCreateViewTest(TestCase):
	def test_can_open_recipes_create_view_temp(self):
		response = self.client.get('/recipes/new')
		self.assertTemplateUsed(response, 'recipes_create_form.html')

class RecipesUpdateViewTest(TestCase):
	def test_can_open_recipes_update_view_temp(self):
		response = self.client.get('/recipes/update')
		self.assertTemplateUsed(response, 'recipes_update_form.html')