from django.conf.urls import url

from .views import *


urlpatterns = [
	url(r'^$', HomeView.as_view(), name='home'),
	url(r'^ingredients$', IngredientsListView.as_view(), name='ingredients_list'),
	url(r'^ingredients/detail$', IngredientsDetailView.as_view(), name='ingredients_detail'),
	url(r'^ingredients/new$', IngredientsCreateView.as_view(), name='ingredients_create'),
	url(r'^ingredients/update$', IngredientsUpdateView.as_view(), name='ingredients_update'),
	
	url(r'^orders$', OrdersListView.as_view(), name='orders_list'),
	url(r'^orders/detail$', OrdersDetailView.as_view(), name='orders_detail'),
	url(r'^orders/new$', OrdersCreateView.as_view(), name='orders_create'),
	url(r'^orders/update$', OrdersUpdateView.as_view(), name='orders_update'),
	
	url(r'^recipes$', RecipesListView.as_view(), name='recipes_list'),
	url(r'^recipes/detail$', RecipesDetailView.as_view(), name='recipes_detail'),
	url(r'^recipes/new$', RecipesCreateView.as_view(), name='recipes_create'),
	url(r'^recipes/update$', RecipesUpdateView.as_view(), name='recipes_update'),
]